Download it now!
Bug 112756 - [NEWHELP] Language dropdown should be in language code
Summary: [NEWHELP] Language dropdown should be in language code
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: easyHack, topicDoc
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2017-09-29 14:10 UTC by Olivier Hallot
Modified: 2017-12-27 15:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2017-09-29 14:10:59 UTC
From the new help scratchpad, 

https://docs.google.com/document/d/1ZnSQ4B216CNROHvzXgRwe2SuoJH9MikcxByXYVQm1z8/edit?ts=59cbd4e8#

‘Language’ drop down - doesn't appear on smaller screens in portrait mode (e.g. 320px) and can be replaced with simple 2-char language codes standard listbox. Alternatively, we should set a minimum screen size that help can be seen in, e.g. 480px or 640px. 
Note: some languages need 5 characters, e.g. en-US, en-ZA, en-GB, pt-BR.

File to touch: 

https://opengrok.libreoffice.org/xref/help/help3xsl/online_transform.xsl#144

Hint: language code name is in the own line, e.g. 

<li><a href="{$productversion}/pt-BR{$htmlpage}">Português do Brasil</a></li>

for pt-BR
Comment 1 Adolfo Jayme 2017-10-19 09:42:55 UTC
A guy at the Spanish-language Telegram channel said that language codes were geeky and user-unfriendly, and I agree… The better option is to replace that drop-down with a fully wide, touch-optimized menu.
Comment 2 Olivier Hallot 2017-12-16 13:09:18 UTC
I propose "close - wontfix"
Comment 3 Buovjaga 2017-12-27 15:44:29 UTC
(In reply to Olivier Hallot from comment #2)
> I propose "close - wontfix"

Yeah, for the lang code.

I think I will get rid of the dropdown on mobile and have it always display a horizontal scrollable menu, like Adolfo suggested in comment 1.